/*
 * (c) Bernd Müller & Harald Wehr, www.jpainfo.de
 */
package de.jpainfo.model;

import java.math.BigDecimal;

import javax.persistence.Column;
import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.PrimaryKeyJoinColumn;

@Entity
@DiscriminatorValue("Spar")
@PrimaryKeyJoinColumn(name = "Konto_kontonummer")
public class Sparkonto extends Konto {

	@Column(precision = 5, scale = 2)
	private BigDecimal zinssatz;
	
	public Sparkonto() {
		super();
	}

	public Sparkonto(BigDecimal zinssatz) {
		super();
		this.zinssatz = zinssatz;
	}
		
	public BigDecimal getZinssatz() {
		return zinssatz;
	}
	public void setZinssatz(BigDecimal zinssatz) {
		this.zinssatz = zinssatz;
	}
}
